part of 'device_location_bloc.dart';

sealed class DeviceLocationEvent extends Equatable {
  const DeviceLocationEvent();

  @override
  List<Object?> get props => [];
}

final class LoadDeviceLocationEvent extends DeviceLocationEvent {
  const LoadDeviceLocationEvent(this.param);

  final GetDeviceLocationDataParam param;

  @override
  List<Object?> get props => [param];
}

final class ClearDeviceLocationEvent extends DeviceLocationEvent {
  const ClearDeviceLocationEvent();
}
